---
title: Checkbox
description: Checkboxes provide the same functionality as native HTML checkboxes, without any of the styling, giving you a clean slate to design them however you'd like.
author:
  name: imskyleen
  url: https://github.com/imskyleen
---

<ComponentPreview name="headless-checkbox-demo" />

## Installation

<ComponentInstallation name="headless-checkbox" />

## Usage

```tsx
<Checkbox />
```

## Props

<div className="flex flex-row gap-x-3">
  <ExternalLink href="https://headlessui.com/react/checkbox" text="Docs" />
  <ExternalLink
    href="https://headlessui.com/react/checkbox#component-api"
    text="API Reference"
  />
</div>

## Credits

- We use [Headless UI](https://headlessui.com/react/checkbox) for the checkbox component.
- We take our inspiration from [Shadcn UI](https://ui.shadcn.com/docs/components/checkbox) for the checkbox style.
